[![PyPI Supported Python Versions](https://img.shields.io/pypi/pyversions/python-backpack.svg?style=flat-square&logo=appveyor)](https://pypi.python.org/pypi/python-backpack/)
[![PyPI version](https://badge.fury.io/py/python-backpack.svg?style=flat-square&logo=appveyor)](https://badge.fury.io/py/python-backpack)
[![GitHub version](https://badge.fury.io/gh/MaxRocamora%2Fpython-backpack.svg?style=flat-square&logo=appveyor)](https://badge.fury.io/gh/MaxRocamora%2Fpython-backpack)
[![codecov](https://codecov.io/gh/MaxRocamora/python-backpack/branch/main/graph/badge.svg?token=6D1xwYdXW2)](https://codecov.io/gh/MaxRocamora/python-backpack)
[![Message](https://img.shields.io/badge/python--backpack-python-blue?style=flat-square&logo=appveyor)](https://github.com/MaxRocamora/python-backpack)


# Python-Backpack
A collection of personal scripts for JSON, File/Folder Operations, String Validation, Custom Errors, Cache and stuff.  


## Json
+ json_load()
+ json_save()
+ jsonMetaFile()
+ jsonUserSettings()

## Files & Folders
+ browse_folder()
+ create_folders()
+ create_folder()
+ remove_files_in_dir()
+ recursive_dir_copy()
+ replace_strings_in_file()
+ remove_line_from_file()
+ file_is_writeable()

## String Validation
+ reformat_input_string()
+ begin_or_end_with_numbers()
+ begin_with_number()
+ has_numbers()
+ camelcase_to_snakecase()

## Custom Errors
+ EnvironmentVariableNotFound()
+ ApplicationNotFound()

## Cache
+ timed_lru_cache

## Test Utils
+ time_function_decorator()
+ random_string()

## Others / Patterns
+ Singleton()

---

### pip install
pip install python-backpack

